Package org.eclipse.ecf.filetransfer.events

# Interface IRemoteFileSystemBrowseEvent

All Superinterfaces:
  `IRemoteFileSystemEvent`

public interface IRemoteFileSystemBrowseEvent extends IRemoteFileSystemEvent
Event that indicates that a directory list is available via `getRemoteFiles()`.

This event is fired even if the browse failed or has been canceled. In this case the cause is provided via `IRemoteFileSystemEvent.getException()`.

## Method Summary

Modifier and Type
Method
Description
`IRemoteFile[]`
`getRemoteFiles()`
Get the list of files associated with this browse event.

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.IRemoteFileSystemEvent

`getException, getFileID`

## Method Details

### getRemoteFiles

IRemoteFile[] getRemoteFiles()
Get the list of files associated with this browse event. If the original file ID available via `IRemoteFileSystemEvent.getFileID()` is a regular file, the array will be of length 1. If a directory, will be of length n. Is null if the associated IRemoteFileSystemRequest failed or was canceled. The cause will be available in `IRemoteFileSystemEvent.getException()`.

Returns:
  IRemoteFile[] the array of remote files for the given browse. If the original file ID available via `IRemoteFileSystemEvent.getFileID()` is a regular file, the array will be of length 1. If a directory, will be of length n. May be null.